#if !defined(AFX_q3la_MAIN_H__AD4CB8A2_D0DA_11D2_BDFF_B4F11F5CEB0D__INCLUDED_)
#define AFX_q3la_MAIN_H__AD4CB8A2_D0DA_11D2_BDFF_B4F11F5CEB0D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class q3la_main  
{
public: 
	void game_index();
	int gamecount;
	int logfilecount;
	q3la_main();
	virtual ~q3la_main();
	void	run (int argc, char** argv);
private:
	char				start_directory[256];
	configdata			config;
	outputfile			out_games_total;
//	map_t*				maps;
	void				games_header();
	void				games_footer();
	void				output_per_player_stats(resultdata_total* results_total);
	int					output_game(resultdata* result, analyzelog* analyze);
	void				output_player_stats(resultdata_total* results_total, int top);
	void				version_info();
#ifndef __LINUX_PLATFORM__
	void				analyze (char* pathstr);
#else
	void				analyze (int argc,char** pathstr);
#endif
	void				analyze_one_file(char *filename, resultdata_total *results_total);
	void				help ();
};

#endif // !defined(AFX_q3la_MAIN_H__AD4CB8A2_D0DA_11D2_BDFF_B4F11F5CEB0D__INCLUDED_)
