// p2p_t.h: Schnittstelle fr die Klasse p2p_t.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_P2P_T_H__308AEF39_D1C7_47AB_B0D9_87BDDA3647B6__INCLUDED_)
#define AFX_P2P_T_H__308AEF39_D1C7_47AB_B0D9_87BDDA3647B6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class p2p_t  
{
public:
	// functions
	void			init();
	void			set_name (char* in_name);
	void			set_htmlnames (char* in_name);
	char*			get_name();
	char*			get_htmlname(bool no_funnames);
	unsigned int	get_kills(int weapon);
	unsigned int	get_killed(int weapon);
	unsigned int	get_kills();
	unsigned int	get_killed();
	p2p_t			operator= (p2p_t &other);
	p2p_t*			build_next();
	p2p_t();
	virtual ~p2p_t();
	// variables
	p2p_t*			next;
	char			htmlname_fun[MAX_FUN_LEN];		// inited & copied
	char			htmlname_nofun[MAX_NOFUN_LEN];	// inited & copied
	unsigned short	kills[MAX_WEAPONS];				// inited & copied
	unsigned short	killed[MAX_WEAPONS];			// inited & copied
private:
	char			name[MAX_NAME_LEN];				// inited & copied
};

#endif // !defined(AFX_P2P_T_H__308AEF39_D1C7_47AB_B0D9_87BDDA3647B6__INCLUDED_)
